%define name	libnids
%define version	1.18
%define release	2mdk
%define major	1
%define libname	%mklibname nids %{major}

Summary:	Library that provides function of Network Intrusion Detection System 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL        
Group:		Networking/Other		
URL:		http://libnids.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libnids-1.18-libnet_config.diff.bz2
# http://airsnort.shmoo.com/libnids-1.18-snax-prism-modified.diff
Patch1:		libnids-1.18-snax-prism-modified.diff.bz2
Patch2:		libnids-1.18-x86-pic.patch.bz2
BuildRequires:	libpcap-devel
BuildRequires:  net-devel >= 1.1.2.1
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package -n	%{libname}
Summary:	Libraries needed by %name
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks received
datagrams a bit (quite a bit ;)), and provides convenient information on them
to analyzing modules of NIDS.

%package -n	%{libname}-devel
Summary:	Library that provides function of Network Intrusion Detection System
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{libname}-devel
Libnids is a library that provides a functionality of one of NIDS 
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks received
datagrams a bit (quite a bit ;)), and provides convenient information on them 
to analyzing modules of NIDS.

%prep

%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

# fix soname
perl -pi -e "s|^LIBSHARED.*|LIBSHARED = libnids.so.%{major}|g" src/Makefile.in

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf

export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
    --enable-shared \
    --enable-static

%make shared static

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

mv %{buildroot}%{_libdir}/libnids.so.%{major} \
    %{buildroot}%{_libdir}/libnids.so.%{major}.0
ln -snf libnids.so.%{major}.0 %{buildroot}%{_libdir}/libnids.so.%{major}
ln -snf libnids.so.%{major} %{buildroot}%{_libdir}/libnids.so

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC doc/*
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/nids.h
%{_mandir}/man3/*

%changelog
* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-2mdk
- corrected the funny namenaming
- fix deps
- added P0 and P1
- added P2 (Gwenole Beauchesne)
- misc spec file fixes

* Wed Apr 7 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.18-1mdk
- 1.18 (fixes CAN-2003-0850)
- removed Packager tag, updated URL and description

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-5mdk
- fixed buildrequires
- use %%mklibname macro

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-4mdk
- added libpcap-devel to BuildRequires

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.17-3mdk
- rebuild for new glibc

* Wed Nov 20 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-2mdk
- Cleanups
- Updated package to follow mdk lib policy
- Remove obsolete Prefix tag's and unneeded Obsoletes tag's

* Fri Sep 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.17-1mdk
- first release for mandrakesoft
CHANGES CREDITS MISC README
